%% copy_results
%   copy the results text of the current grid0 to a destination
%   Data's grid0 object.
% inputs:
%   object:Data - current object
%   dest:Data - destination object to save results text to, results
%   grid is assumed to already be set up.
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = copy_results(object,dest)
for i=1:size(dest.Grid0.Cells,2)
    for j=1:size(object.Grid0.Cells,2)
        if (strcmp(object.Grid0.Cells(j).Cell1.cond_text,dest.Grid0.Cells(i).Cell1.cond_text) && strcmp(object.Grid0.Cells(j).Cell2.cond_text,dest.Grid0.Cells(i).Cell2.cond_text))
            dest.Grid0.Cells(i).result_text = object.Grid0.Cells(j).result_text;
        end
    end
end
end

